 \section{New document folder on svn and externals}\label{sec:Installation}
It is assumed that all documents which are produced in \LaTeX{} are kept under version control in \url{http://redmine.knmi.nl/svn/tropl01b/trunk/oml1/trunk/doc}. The template folder (omi-latex-template), including the file with the macros, and the bibliographies folder (omi-latex-bib) are all kept in there.
\\
For windows it is assumed, that you use tortoise-svn for the version control.
\begin{noindentstepenumerate}
 \item Get a document number and name from Quintus.
	\item Make a new folder for your new document with the appropriate name ("AURA-OMI-KNMI-L01B-????-??-titel\_gescheiden\_met\_underscores\_bij\_spaties" in the repository  \url{http://redmine.knmi.nl/svn/tropl01b/trunk/oml1/trunk/doc} (so add and commit)
	\item right mouse click on the new folder $\rightarrow$tortoisesvn$\rightarrow$ properties$\rightarrow$import and then use omi-document-externals.svnprops ( on the repository http://redmine.knmi.nl/svn/tropl01b/trunk/oml1/trunk/doc/). This file also has the ignore rules for all aux and other not needed files. 
	%\\	
	%Alternatively you can also: right mouse click on the new folder $\rightarrow$tortoisesvn$\rightarrow$ properties$\rightarrow$new$\rightarrow$ externals $\rightarrow$ new$\rightarrow$new, enter local path as omi-latex-bib and omi-latex-template and the url as\\ "http://redmine.knmi.nl/svn/tropl01b/trunk/oml1/trunk/doc/omi-latex-bib/",\\ "http://redmine.knmi.nl/svn/tropl01b/trunk/oml1/trunk/doc/omi-latex-template/"  respectively. 
	\item Tick on Head-Revision, with that you will always be updated with any changes made in the bibliographies, macros and the template. 
	\item Do a svn update, you should now find the folders 'omi-latex-bib' and 'omi-latex-template' in your new folder
\end{noindentstepenumerate}
\subsection{Important:}
	%\item As soon as the document is finished for release the revision for the externals has to fixed to the latest revision number: right mouse click on the new folder $\rightarrow$ tortoisesvn $\rightarrow$properties, click on svn-externals and edit, then click on each of the three externals, tick Revision and fill in the revision number. With the revision number fixed the bibliography for example will be showing the versions current at the time of release and the release is self contained.
\paragraph*{No touching of the template}
Do not alter any of the files in \verb|\omi-latex-template|, this affects all documents.  If you would like a new functionality or macro please contact Antje.

\paragraph*{Only add to the bibfiles} 
All changes you make in the bibfiles affects all Latex documents, so please \textit{only add} information to bib-files, do not remove anything.
KNMI references are in 'omi-latex-bib/knmi-internal.bib'
For new OMI documents no date or version number are added in the bibfile.
For old (or \trop) documents version number and date are added. If you add entries to the bibliography, use the same format for labels etc. and sort the documents. 
External references are in 'omi-latex-bib/external.bib', for the formatting and fields use the \trop external bibfile as an example. 

\paragraph*{No clutter}
Only commit files to the repository which are needed for the document to compile (only .tex and figures (including the file format they were made in)). 

\paragraph*{Commit only if it compiles}
All errors have to be solved. The document has to compile when you commit it. So make sure to also add all new files.
Bad boxes and warnings should be inspected and solved if they pose a problem. 



